GET
/email-campaign/Get all email campaigns
You can return information about all of your email campaigns. These results can be filtered by conditions defined as request parameters.
| Lookup | Description | Example usage |
|---|---|---|
| __lt | Lesser than | ?started_at__lt=2021-05-16 |
| __lte | Lesser than or equal | ?started_at__lte=2021-05-16 |
| __gt | Greater than | ?started_at__gt=2022-05-05 |
| __gte | Greater than or equal | ?started_at__gte=2021-05-05 |
| count_from | A date from when stats should be counted | ?count_from=2021-05-16 |
| count_to | A date utill stats should be counted | ?count_from=2022-05-16 |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
"https://<your_app_subdomain>.user.com/api/public/email-campaign/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/email-campaign/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/email-campaign/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests
url = "https://<your_app_subdomain>.user.com/api/public/email-campaign/"
headers = {'authorization': 'Token <your_64_char_api_key>'}
response = requests.get(url, headers=headers)
print(response.text)
Response
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 2,
"statistics": {
"delivered_ratio": 0,
"hardbounce": 0,
"recipients": 1,
"unsubscribed": 0,
"scheduled": 0,
"spambounce": 0,
"softbounce": 0,
"opened": 1,
"clicked": 1,
"real_sender_email": "\"John Doe\" ",
"delivered": 1,
"opened_ctr": 0,
"clicked_ctr": 0,
"unsub_ratio": 0,
"utm_term": "Google Analytics utm_term",
"utm_medium": "Google Analytics utm_medium",
"utm_source": "Google Analytics utm_source",
"utm_campaign": "Google Analytics utm_campaign",
"deferred": 0,
"dropped": 0,
"feedbackloop": 0,
"success": 1,
"failed": 0
},
"smtp": "default SMTP: 1.usercom.smtp",
"custom_settings": "-",
"real_sender": "None",
"type": 1,
"eta": null,
"name": "My Email Campaign 2",
"description": "Test campaign 2",
"status": 1,
"recipients_query": "null",
"from_email": null,
"sender_name": null,
"recipients": [
1
],
"recipients_ids": "[1]",
"recipients_count": 1,
"extra_data": null,
"closed": null,
"started_at": null,
"finished_at": null,
"created_at": "2020-03-03T16:00:00.000000Z",
"updated_at": "2020-03-03T16:00:00.000000Z",
"category": 1,
"app": 1,
"sender_settings": null,
"messages": [
13
]
},
{
"id": 1,
"statistics": {
"delivered_ratio": 0,
"hardbounce": 0,
"recipients": 1,
"unsubscribed": 0,
"scheduled": 0,
"spambounce": 0,
"softbounce": 0,
"opened": 1,
"clicked": 1,
"real_sender_email": "\"John Doe\" ",
"delivered": 1,
"opened_ctr": 0,
"clicked_ctr": 0,
"unsub_ratio": 0,
"utm_term": "Google Analytics utm_term",
"utm_medium": "Google Analytics utm_medium",
"utm_source": "Google Analytics utm_source",
"utm_campaign": "Google Analytics utm_campaign",
"deferred": 0,
"dropped": 0,
"feedbackloop": 0,
"success": 1,
"failed": 0
},
"smtp": "default SMTP: 1.usercom.smtp",
"custom_settings": "-",
"real_sender": "None",
"type": 1,
"eta": null,
"name": "My Email Campaign",
"description": "Test campaign",
"status": 1,
"recipients_query": "null",
"from_email": null,
"sender_name": null,
"recipients": [
1
],
"recipients_ids": "[1]",
"recipients_count": 1,
"extra_data": null,
"closed": null,
"started_at": null,
"finished_at": null,
"created_at": "2020-03-03T15:00:00.000000Z",
"updated_at": "2020-03-03T15:00:00.000000Z",
"category": 1,
"app": 1,
"sender_settings": null,
"messages": [
13
]
}
]
}